import os


def analysis(data):
    """
    分析结果
    :param data:
    :return:
    """
    pred_count = 0
    true_count = 0
    accuracy_count = 0
    total_count = 0
    for line in data:
        true_tag = line.split("\t")[0]
        pred_tag = line.split("\t")[1]
        if int(true_tag) == 1:
            true_count += 1
        if int(pred_tag) == 1:
            pred_count += 1
        if int(true_tag) == int(pred_tag) == 1:
            accuracy_count += 1
        total_count += 1
    # print("预测为 1 的数量", pred_count)
    # print("实际为 1 的数量", true_count)
    # print("预测为 1，实际也为 1 的数量", accuracy_count)
    # print("total_video", total_count)
    # print("准确率", accuracy_count / pred_count)
    # print("召回率", accuracy_count / true_count)
    print(total_count, pred_count, accuracy_count, true_count, accuracy_count / true_count, accuracy_count / pred_count)
    print("\n")


if __name__ == '__main__':
    path = "/root/luojunhui/alg/result"
    files = os.listdir(path)
    for file in files:
        if file.endswith(".txt"):
            fp = os.path.join(path, file)
            with open(fp, encoding="utf-8") as f2:
                data2 = f2.readlines()
            analysis(data2)

